Welcome to GPX2IMG

 Top Next

GPX2IMG is an application created to allow simple creation of Garmin compatible IMG files.

Getting started

· Check out the Quick Start Tutorial for a quick introduction to the basic workflow of GPX2IMG and to get you started making your own IMG files!
· Follow through the chapters in the How To section to learn more details of the features of GPX2IMG.
· Read through the sections of the Advanced Features to learn about the Preferences available to give you more control over the details of your created maps.


First Launch without Mapsource

 Top Previous Next

If using GPX2IMG without Garmin Mapsource installed on your computer, the first time you launch GPX2IMG you will be asked to choose a directory to generate your IMG files into.

When you press the "Convert Checked Files" in GPX2IMG, your GPX files will be converted into IMG files and will be placed in your chosen directory. The files will be named 13976001.img, 13976002.img, etc with 13976001.img being the first file listed in the file area in GPX2IMG, etc.

You can now load these files onto your GPS unit as long as it is compatible with loading IMG files this way.

If you want to change the directory where your IMG files are generated, you can do so in the Preferences window.


Quick Start Tutorial

So you're downloaded and installed GPX2IMG but don't know what to do now? You've come to the right place! Follow along for a quick step-by-step tutorial on how to convert your GPX files to IMG files you can load onto your GPS unit.

What You Need

· GPX2IMG
· A GPX file from your GPS unit (or Mapsource, or online)
· Garmin Mapsource (or Basecamp) or a GPS unit you can load your own IMG files onto

Step 1

Open GPX2IMG.

Step 2

Open a GPX file by clicking the "Add GPX File button":

Step 3

Using the Open File dialog, select your GPX file (or files) where they are stored on your computer and click the 'Open' button. (Hold the Ctrl button on your keyboard when clicking files to open multiple files at one time.)

Step 4

After the GPX file has loaded, you will be given a preview of the map in the map preview area, the waypoints will be listed in the waypoint tab and the tracks will be listed in the track tab.

For basic conversion, you don't need to do anything else, just click the "Convert Checked Files" button under the file listings.

After conversion if finished, you'll see a dialog box similar to this:

Conversion has been completed successfully and you can load your maps onto your GPS unit using Mapsource!

Check out the Editing POIs, Editing Tracks, Options and Advanced Features sections of the help guide to explore some of the advanced features of GPX2IMG.


How To

The topics contained in this section give an overview of how each area of GPX2IMG can be used and more detail of the work flow of GPX2IMG.

Interface Overview allows you to click an area of the interface to learn more about its functions.

Loading GPX Files gives you the steps for opening a GPX file in GPX2IMG.

Using Created Maps in Mapsource explains how to load your created maps onto your GPS unit using Mapsource after they have been converted using GPX2IMG.

Editing POIs demonstrates the areas of the application used to edit waypoints/POIs.

Editing Tracks shows the areas of GPX2IMG used when editing tracks.

Preferences explains the options available in the Preferences window.

Using The Map View goes through some of the advanced features hidden in the map view.


Interface Overview

Below is a screenshot of GPX2IMG with a single GPX file loaded. Click on any of the red bordered areas to learn more details of that sections of the window.

Map ViewFile ListingWaypoint EditingTrack EditingToolbars


Loading GPX Files

To open GPX files in GPX2IMG, you can either drag-and-drop GPX files onto GPX2IMG, or you can use the "Add GPX File" button as explained below.

Step 1

Open a GPX file by clicking the "Add GPX File button":

Step 2

Using the Open File dialog, select your GPX file (or files) where they are stored on your computer and click the 'Open' button. (Hold the Ctrl button on your keyboard when clicking files to open multiple files at one time.)


Using Created Maps in Mapsource

Once you've converted your GPX files into IMG files using GPX2IMG, how do you get them onto your GPS unit using Mapsource?

All maps created using GPX2IMG are transparent maps. This means that the only information they contain is the tracks and waypoints from your GPX file. They do not contain a background image. This means that you can load your created IMG files along with a base map (topo, city, etc) and they will both appear on your GPS unit.

To load your created maps along with a base map, follow the instructions below:

Step 1

Launch Mapsource

Step 2

Select the base maps you wish to load with the maps you created.

In the example below, I've selected the Topo Canada 2 map and used the Map Select tool to select the map region which is in the same area as the map I created. This map is then listed in the Maps tab on the left of Mapsource

Step 3

Switch to the map product created by GPX2IMG ("GPX2IMG Maps" by default) and select the created maps using the Map Select tool. You will see the maps you select are now listed in the map listing area in Mapsource.

Step 4

Upload the map sets to your GPS unit.

Step 5

You should now be able to view your created maps on your GPS unit. If the map does not appear, you may need to change the settings of your GPS unit to enable display of the maps. See http://www.gpsfiledepot.com/tutorials/how-to-change-which-map-is-displayed-on-a-garmin-gps/ for more details.


Editing POIs

In GPX2IMG you can edit the waypoints in your GPX file. In your IMG file and on your GPS unit, these points show up as POIs (points of interest).

After loading a GPX file, you will see something like the screenshot below on your screen. The data contained will be different based on your GPX file and the info in it, but the general concept is the same.

Waypoint Table

The data shown in the waypoint table is:

Waypoint Symbol: | This is the symbol that will appear on your GPS unit to represent the POI.
Name: | This is the name of the POI and will appear in searches and while hovering over the POI.
Type: | This is a the text version of the waypoint symbol.
Valid POI?: | There are some GPX waypoint types that do not have an equivalent type of POI. If your waypoint is one of these types, an exclamation will appear and the waypoint will become a POI of default type in the generated map. If the waypoint has an equivalent POI type, a check will appear.
Lat: | The latitude where the waypoint is located.
Lon: | The longitude where the waypoint is located.

Editing a POI

Selecting a waypoint from the list will: 1) Highlight it on the map view, 2) Fill in the info boxes on the right side of the screen with the data relating to that waypoint.

Poi Type and Poi Name are required fields. All other fields are optional.

To include data for the optional fields, check the checkbox for the field and provide the necessary info for that field. To remove a data field that is already included, just uncheck the check box for that field.

If you make any changes to the POI data, you must press the "Apply Changes" button to store the changes. If any changes are made to POIs or tracks, you will be asked to save your GPX files when removing the GPX file from GPX2IMG or when closing GPX2IMG.

You can also delete a POI by clicking the "Delete" button.

The optional fields do not have any effect on the generated POI and are only stored in the GPX file for informational purposes.

Editing Type of Multiple POIs

It is possible to edit multiple POIs at once by selecting more than one waypoint in the list by either holding the Ctrl button on the keyboard while selecting multiple items, or by selecting one item, holding the Shift key and selecting the last item in a sequential list.

With multiple waypoints selected, you can edit only the waypoint type.


Editing Tracks

In GPX2IMG you can edit the tracks in your GPX file.

After loading a GPX file, by clicking on the "Tracks" tab at the bottom of the window, you will see something like the screenshot below on your screen. The data contained will be different based on your GPX file and the info in it, but the general concept is the same.

Track Table

The area on the left side of the track panel lists the tracks in the selected GPX file. It lists the name of the track and the track type it is currently set to.

Track Editing

Selecting a track in the track table will: 1) Highlight the track in the map view. 2) Fill in the tracks information on the right side of the panel.

When editing tracks, all changes made to the track are changed immediately in the map view.

Editing Multiple Tracks

It is possible to edit multiple tracks at once by selecting more than one track in the list by either holding the Ctrl button on the keyboard while selecting multiple items, or by selecting one item, holding the Shift key and selecting the last item in a sequential list.

When editing multiple tracks, only the track type is changeable.


Options

Preferences

To access the preferences windows, select 'Preferences' from the 'Edit' menu bar at the top of the window.

Click on the preference to be taken to the help section of that option.

Blank Overview Map?

Mapsource uses the overview map to display an overview of the detailed maps in its coverage area. The overview map is never sent to your GPS unit and is only used in Mapsource.

If while viewing your maps in Mapsource, you notice that your track lines are often doubled up with one being less detailed than the other, you are seeing your overview and detail maps at the same time. To prevent this, enable the Blank Overview Map? option. (Note: you may notice with this setting enabled, you have to zoom in further on your map for the tracks and POIs to appear)

Clear MapSource tile cache when generating maps?

To increase the speed at which Mapsource displays maps which it has loaded previously, it generates caches of the maps at different zoom levels.

If you find you are still seeing old map details after generating an updated map in GPX2IMG, ensure this option is enabled and it will delete the old map cache info when generating new maps.

Install generated maps in Mapsource?

Some newer Garmin GPS units allow you to load IMG files directly to the unit without Mapsource. If you don't have Mapsource installed or don't wish to use it, check this option and GPX2IMG won't try to install its generated maps into Mapsource.

Enable TYP files to create custom color maps

This option allows you to change between using the standard track types and colors as defined by your GPS unit, or using custom track colors as defined by a TYP file you load into GPX2IMG. For more details on using custom track colors and TYP files, see the TYP Files/Track Colors help section

Target Directory

This is the location where the IMG files GPX2IMG creates will be generated into. By default, this is a GPX2IMG folder placed in the directory where Mapsource is installed.

Map Name

This option defines the name of the map product created in Mapsource.

When changed, this is the name that you must select in Mapsource in the drop down menu to show your created maps.

Advanced Options

Clicking this link shows the advanced option which allow you to edit the zoom levels for your map detail and overview IMG files. See Zoom Levels for more details.


MapView

The Map View in GPX2IMG has multiple functions that are not readily apparent. The most obvious use is to give an approximation of how the generated map will appear on you GPS unit.

Some less obvious features are: click on a track/waypoint to select it, double click in a blank space to create a waypoint, right-click on an item to edit or delete it.

Select A Waypoint/Track

By click on a waypoint or track in the map view, it will be selected in the appropriate tab below the map view where you can edit and view more details of the item.

If there are multiple items under the mouse pointer when you click, it will bring up a context menu where you can select 'edit' or 'delete' for each item under the pointer.

Create A Waypoint

Double-clicking anywhere on the map view will create a waypoint in the location where you double clicked. After double-clicking, you will be given a window as shown below where you can choose the details for that waypoint. Latitude and longitude will be filled in automatically for the location where you clicked on the maps, but can be moved by changing the values in their text boxes.

Right-Click to Edit/Delete

If you right-click on a POI or a track, you will be given a context menu where you can choose to edit the item (same as just clicking on it) or delete the item from the map.


Advanced Features

The topics in this section explain how to use some of the advanced features of GPX2IMG such as TYP files and changing the zoom levels.


TYP Files/Track Colors

An advanced feature of Garmin GPS units is the ability to load a TYP file along with your IMG files into Mapsource and onto your GPS unit which changes how the tracks of your maps are displayed on the unit.

GPX2IMG supports TYP files created using different methods, but does not allow TYP file editing in GPX2IMG.

To get an idea of what is possible with TYP files, try enabling the Enable TYP files option in your preferences. You will see your map tracks transformed to a variety of different colors based on the type of track they are.

To change the colors specified in the TYP file, you must use an external TYP editor. The instructions below will show how to use a free online TYP editor to change how your tracks are displayed in GPX2IMG, in Mapsource, and on your GPS unit.

Step 1

Select the "Save current TYP file As" from the File menu and choose a location and filename on your computer to save the file as.

Step 2

Open http://ati.land.cz/gps/typdecomp/editor.cgi in your internet browser and select the "Edit" tab if not already selected

Step 3

Click the "Choose File" button and select the TYP file you saved in step 1. Click the "Edit" button.

Step 4

After loading, you will be presented a window with lots of different information. DO NOT CHANGE ANYTHING EXCEPT AS SPECIFIED BELOW.

Scroll down the page to the "Lines" section. This is where you can edit the line colors, thickness, borders, etc. To changes a line, click the 'Edit' button for that line and change any of the settings except for the line type and subtype. After making your changes for that line, click the 'Save' button. Do not delete or add lines or unpredictable things can happen and GPX2IMG may become unstable.

Step 5

After you are finished editing the lines, click the 'Download TYP file' button at the bottom of that page. Your browser should now download the updated TYP file.

Step 6

Back in GPX2IMG, select the 'Load new TYP file' menu item from the File menu. Open the TYP file you downloaded in step 5.

(If not already turned on, select 'Yes' when asked if you want to enable TYP files (this can be changed in Edit->Preferences->Enable TYP files)

GPX2IMG will now use your updated TYP file. (You will need to reconvert your GPX files to send the updated TYP file to Mapsource.)


Zoom Levels

 Top Previous

The Advanced Options section in the Preferences panel gives access to setting the zoom scales where your generated maps will be visible on your GPS unit.

Unfortunately, due to the way each GPS model interprets this data, as well as certain settings on the GPS unit (eg declutter, detail level, max zoom, etc) the distance values do not correlate exactly to zoom levels. The distance numbers listed in this section are for guidance only. To determine exactly how the zoom levels are interpreted with your maps and your GPS unit, trial and error is the only option.

The zoom level ranges determine the zooms at which your map is visible. In the screenshot above, maps will be visible when the GPS unit is zoomed in at levels where the scale is between 120m and 5km (or 500ft and 5 miles). The overview map will appear in Mapsource when the map scale is between 12km and 500km (the overview map is never transmitted to the GPS unit, only used in Mapsource).

This table gives the approximate correlation of zoom levels to map scale:

Zoom Level | Scale (metric) | Scale (Imperial)
24 | 120m | 500ft
23 | 200m | 800ft
22 | 500m | 0.3 miles
21 | 800m | 0.5 miles
20 | 2km | 0.8 miles
19 | 3km | 2 miles
18 | 5km | 5 miles
17 | 12km | 8 miles
16 | 20km | 20 miles
15 | 50km | 50 miles
14 | 80km | 80 miles
13 | 200km | 200 miles
12 | 500km | 500 miles


FileListings

 Top

The file listing area shows you which GPX files you have open, allows you to select them for editing and viewing in the map view area, and also allows you to choose which files will be included in the conversion to IMG files.

File Listing

All open files are listed in this table. It shows the location of the file, the number of tracks in it as well as the number of POIs in the file.

The checkbox beside each file is used for specifying which files are included in the conversion when the 'Convert Checked Files' button is clicked. If the checkbox is unchecked, the file will not be included. If it is checked, the file will be converted to an IMG file and installed in Mapsource.

Add GPX File

Clicking this button opens the 'open file' dialog which allows you to open a GPX file for editing and conversion in GPX2IMG. You can select multiple GPX files by holding the Ctrl button on the keyboard while clicking files.

Remove File

When a file is highlighted in the file listing area, you can remove it using the 'Remove File' button. If you have made any changes to the selected file since opening, you will be asked if you want to save before closing.

Convert Checked Files

After you have made all necessary changes to your GPX files, clicking this button will perform the conversion of GPX files to IMG files which are installed in Mapsource.


Toolbars

 Top

The toolbars in GPX2IMG give access to some of the more advanced features of the program.

File

file

Add GPX File: Opens the open file dialog for loading a gpx file

Save Files: Saves all open GPX files

Load New TYP file: Allows loading of a new TYP file (see TYP Files/Track Colors for more details)

Save current TYP file As: Saves the currently loaded TYP file into the location you specify

Recent Files: A list of your recently opened GPX files

Exit: Exit GPX2IMG

Edit

edit

Preferences: Opens the Preferences window

Uninstall from Mapsource: Removes the GPX2IMG map product from Mapsource if it is installed.

View

view

Actual Size: Reset map zoom to 100%

Zoom In: Zoom in the map view

Zoom Out: Zooms out the map view

Hide Minimap: Toggle the mini-map being visible

Hide POIs: Toggles POIs being visible on the map

Help

help

Online Help: Opens this help document

About: Opens the 'About' to see more info about GPX2IMG

Register: Opens the registration window for entering your license info after purchasing GPX2IMG.

License: Opens the license for GPX2IMG.

View Log: Opens the log file for GPX2IMG. Should not be necessary to use unless asked by support.

Check for update: This will automatically check if you have the most recent version of gpx2img. If a newer version is found, it will be automatically downloaded and installed the next time you run gpx2img.

Tools
Button | Button Name | Function
 | Open File | Open the 'Open File' dialog for opening files
 | Help | Opens this help document
 | Zoom In | Zooms in on the map
 | Zoom Out | Zooms out the map
 | Zoom 100% | Resets map to 100% zoom
 | Zoom Text Box | You can enter a numeric value here to zoom to that level
 | Grab Hand | With this tool selected, click and hold to drag the map to change your viewed area
 | Pointer | Use for selecting tracks and POIs
 | Zoom Box | Click and drag using this tool to zoom in on your selected area
 | Show/Hide POIs | Use this to toggle between POIs being visible on the map or not